package com.logicbig.example;

import javax.persistence.*;
import java.util.HashSet;
import java.util.Set;

@Entity
public class Project {
    @Id
    @GeneratedValue
    private int id;
    private String name;
    @OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY)
    private Set<Contractor> contractors;

    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Set<Contractor> getContractors() {
        return contractors;
    }

    public void addContractor(Contractor contractor) {
        if (contractors == null) {
            contractors = new HashSet<>();
        }
        contractors.add(contractor);
    }
}